# Member bounties by slug

`GET https://api.nexus.gg/v1/bounties/member/slug/{slug}`

Same lookup as `getMemberBountiesByID` and `getMemberBountiesByPlayerID`, addressed by the member's slug instead of their member id or playerId. The slug match is case-insensitive.

The response matches the other two member-bounty lookups, plus an echo of the `slug` you requested.

## Authorizations

- `X-SHARED-SECRET` (string, header, required)

## Query parameters

- `groupId` (string) - Creator group to use for this operation
- `page` (integer) - Page of records to return
- `pageSize` (integer) - Page size

## Path parameters

- `slug` (string, required) - Slug of member to retrieve bounties for

## Responses

### 200

Bounty progress for specified member

#### Body (`application/json`)

- `groupId` (string) - ID of the creator group
- `groupName` (string) - Name of the creator group
- `currentPage` (integer) - Page number of response records returned
- `currentPageSize` (integer) - Page size used for this operation
- `totalCount` (integer) - Total number of referrals
- `memberId` (string)
- `playerId` (string) - Unique identifier for this members's in-game user, set when linking with their Nexus account or generating the code
- `slug` (string)
- `progress` (array of object)

### 400

bad request

#### Body (`application/json`)

- `code` (string) - CodeNotInGroup: Creator group is private, and specified code is not linked to it<br/> InvalidGroup: No creator group was found with the specified groupId<br/> InvalidAuthCode: AuthCode provided is not valid<br/> ExpiredAuthCode: AuchCode provided has expired<br/> ReferralNexusNotFound: No Nexus was found to match the provided referral code<br/> BountyNotFound: No bounty was found with the specified bountyId<br/> CreatorNotFound: No creator found with the specified creatorId<br/> InvalidEventCode: No event found with the specifed event code Allowed values: InvalidGroup, CodeNotInGroup, InvalidAuthCode, ExpiredAuthCode, ReferralNexusNotFound, BountyNotFound, MemberNotFound, InvalidEventCode, UnknownError.
- `message` (string)
